-- 3.5.62 Power
-- Добавляем Линии 0.7 и 1.2
SET IDENTITY_INSERT Справочник_типов_объектов ON
INSERT INTO Справочник_типов_объектов (Код_типа_объекта,Класс_объекта,Описание,Имя_папки) 
  VALUES (17,	'ЛЭП','ЛЭП 0,7 кВ', 'ЛЭП 0,7 кВ')
INSERT INTO Справочник_типов_объектов (Код_типа_объекта,Класс_объекта,Описание,Имя_папки) 
  VALUES (18,	'ЛЭП','ЛЭП 1,2 кВ', 'ЛЭП 1,2 кВ')
SET IDENTITY_INSERT Справочник_типов_объектов OFF
GO

-- Добавляем в Характеристики типа объекта
---- Будем ставить их туда же, где стоят 0.4
insert into Характеристики_типов_объектов (Код_типа_объекта,Код_типа_подобъекта,Представлять_папкой,Разрешать_новые_подобъекты,Верхний_уровень)
	select  
		case Код_типа_объекта
			when 10 then 17
			else Код_типа_объекта
		end as Код_типа_объекта,
		case Код_типа_подобъекта
			when 10 then 17
			else Код_типа_подобъекта
		end as Код_типа_подобъекта,
		Представлять_папкой,
		Разрешать_новые_подобъекты,
		Верхний_уровень
	from Характеристики_типов_объектов where Код_типа_объекта = 10 or Код_типа_подобъекта = 10
GO
insert into Характеристики_типов_объектов (Код_типа_объекта,Код_типа_подобъекта,Представлять_папкой,Разрешать_новые_подобъекты,Верхний_уровень)
	select  
		case Код_типа_объекта
			when 10 then 18
			else Код_типа_объекта
		end as Код_типа_объекта,
		case Код_типа_подобъекта
			when 10 then 18
			else Код_типа_подобъекта
		end as Код_типа_подобъекта,
		Представлять_папкой,
		Разрешать_новые_подобъекты,
		Верхний_уровень
	from Характеристики_типов_объектов where Код_типа_объекта = 10 or Код_типа_подобъекта = 10
